/******************************************************************************/
/* User Level #define Macros                                                  */
/******************************************************************************/

#define BUFFER_SIZE	4
#define UART_SIZE	21

#define SET_TRIS	0x01
#define SET_LAT		0x02
#define GET_PORT	0x03
#define GET_BUT		0x05
#define	GET_ID		0x20
#define GET_FRM		0x21
#define UART_EN		0x10


#define LCD_CLR		0x60
#define LCD_WR		0x61
#define LCD_BL		0x62


#define BOARD_ID	0x65
#define FRMWR_ID	0x01




/******************************************************************************/
/* User Function Prototypes                                                   */
/******************************************************************************/

extern uint8_t DATA_BUFFER[BUFFER_SIZE];
extern uint8_t DATA_OUT;
extern volatile uint8_t FOOBAR;
extern uint8_t DATA_INDEX;

extern char UART_BUFFER[UART_SIZE];
extern uint8_t UART_INDEX;

extern uint8_t X;
extern uint8_t Y;

void InitApp(void);         /* I/O and Peripheral Initialization */
void I2C_Init(void);